Bienvenue, Invité. Merci de vous connecter ou de vous enregister.

Auteur Sujet: [MOD] Autoupdate Problème de droit FTP  (Lu 1716 fois)

Dudule

  • Confirmé
  • ****
  • Messages: 188
  • Karma: +1/-0
[MOD] Autoupdate Problème de droit FTP
« le: 16 janvier 2012, 18:13:48 »
Bonjour tout le monde,

Voila j'ai installer il y à quelque temps avec succès le mod Autoupdate.

J'ai pu installer d'autre mod sans problème.

Aujourd'hui j'ai un soucis.
Les fichiers que télécharges Autoupdate et qu'il écrit lui même sur mon FTP ou sont héberger mes fichier OGSpy, ont un propriétaire nommé "apache".
Ils appartiennent au mod autoupdate quoi...

Sauf que j'ai pas de permissions pour les supprimer/modifier ou quoi que se soit ! Et étant pas propriétaire des fichiers, je peut pas changer les permissions.

Du coup pour faire des maj, comme j'aimerai bien faire la pour le mod gestion des attaques je suis bloqué.

J'ai réussi une seule fois a changer les droits en mettant un faux mod sur mon ftp, le fichier instal.php faisait en gros un chmod 777 sur le dossier qu'il me fallait. Vu que c'est OGSpy qui exécuté le chmod ça a marché. Mais j'ai pas re-réussi depuis... impossible.


Avez vous une idée comment faire ?

Merci par avance de votre aide :)
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4
 

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Re : [MOD] Autoupdate Problème de droit FTP
« Réponse #1 le: 16 janvier 2012, 18:22:40 »
selon les hébergeurs, il y a une fonction ré attribution du propriétaire etc... (dans le pannel de config/gestion

mais pas sur tout les hébergeurs
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2
 

Dudule

  • Confirmé
  • ****
  • Messages: 188
  • Karma: +1/-0
Re : [MOD] Autoupdate Problème de droit FTP
« Réponse #2 le: 17 janvier 2012, 10:47:54 »
Bonjour Gigla

Tout d'abord merci pour ton aide.

Oui, cela arrive chez certains hébergeur, mais la j'ai un hébergement chez free-h, un hébergement à titre gratuit.
Du coup je ne bénéficie pas de tout, dont cette accès au panel...

Au pire je pourrais demander une intervention du support de free-h, mais si ca fait ça à chaque fois que je veut supprimer un MOD ca va pas le faire ^^

Moi j'aurai voulu en savoir plus au niveau du mod autoupdate, j'ai rien trouvé dans les fichier qui dit " on télécharge les mod, on les met à cet endroit avec cette user et se mot de passe"....
Enfin ceci dit, je pense à une chose, je vais voir dans la mysql si il y a pas un user crée dans la BDD ^^

Si vous avez des idées/infos, je suis preneur !

Merci par avance
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4
 

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2
 

Dudule

  • Confirmé
  • ****
  • Messages: 188
  • Karma: +1/-0
Re : [MOD] Autoupdate Problème de droit FTP
« Réponse #4 le: 19 janvier 2012, 16:26:39 »
La solution de changer d'hebergeur n'est pas la meilleure solution.
Bref, j'ai trouver la solution.

Faire installer un faut MOD par OGSpy, qui fait juste un CHMOD777 sur le dossier qu'on veut.

Du coup c'est résolue.




Changement de sujet.

J'ai mis la version du mod autoupdate à jour comme demandé : 1.1.4
Dessus j'ai regardé, certains mod ne sont plus référencer sur le svn c'est bien.
Par contre autoupdate qui dit être en 1.1.4 dit qu'il y à comme dernière version la 1.1.2 sur le svn ^^
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4